Package org.apache.sling.jcr.api

# Interface NamespaceMapper

@Deprecated @ConsumerType public interface NamespaceMapper
Deprecated.
Per session namespace mapping is not supported anymore.
This interface is used to customize the namespace mapping of a session.

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`void`
`defineNamespacePrefixes(@NotNull javax.jcr.Session session)`
Deprecated.
This method is invoked whenever a new session is created.

## Method Details

### defineNamespacePrefixes

void defineNamespacePrefixes(@NotNull @NotNull javax.jcr.Session session) throws javax.jcr.RepositoryException
Deprecated.
This method is invoked whenever a new session is created. It allows the service to add own namespace prefixes.

Parameters:
  `session` - The new session
Throws:
  `javax.jcr.RepositoryException` - If anything goes wrong